Update IP Access Settings
update stream rtmpauth setting
curl -X POST "https://api.5centscdn.com/v2/streams/settings/security/rtmpauth" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"username": "streamuser",
"password": "Str0ngP@ssw0rd",
"mode": "save"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/security/rtmpauth"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"username": "streamuser",
"password": "Str0ngP@ssw0rd",
"mode": "save"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/security/rtmpauth", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"username": "streamuser",
"password": "Str0ngP@ssw0rd",
"mode": "save"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"username": "streamuser",
"password": "Str0ngP@ssw0rd",
"mode": "save"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/security/rtmpauth", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/security/rtmpauth')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"username": "streamuser",
"password": "Str0ngP@ssw0rd",
"mode": "save"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Settings Updated. Please wait till the deployment completes."
}
/streams/settings/security/rtmpauth
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Enable or disable RTMP authentication. Y means enabled, N means disabled.
Username required to authenticate RTMP publish connections.
Password required to authenticate RTMP publish connections. Used together with the username.
Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. overwrite — overwrites the existing streams values, replacing them and updates.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Password required to authenticate RTMP publish connections. Used together with the username.
Str0ngP@ssw0rdControls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. overwrite — overwrites the existing streams values, replacing them and updates.
saveResponses
Status of the API response.
Human-readable message describing the result.